%define upstream_name    Search-Tools
%define upstream_version 0.70

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    High-performance tools for building search applications
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://cpan.metacpan.org/authors/id/K/KA/KARMAN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dump)
BuildRequires: perl(Encode)
BuildRequires: perl(Encoding::FixLatin)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(Rose::ObjectX::CAF) >= 0.30.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Search::Query) >= 0.180.0
BuildRequires: perl(Search::Tools)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl-devel
%description
This distribution is a set of utilities for building search applications. Rather than adhering to a particular search application or framework, the goal of Search::Tools is to provide general-purpose methods for common search application features. Think of Search::Tools like a toolbox rather than a hammer.
 
%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README example
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog

* Fri Feb 24 2012 kharec <kharec> 0.700.0-1.mga2
+ Revision: 213831
- Add a BR on perl(Search::Tools)
- update to 0.70

* Wed Feb 22 2012 kharec <kharec> 0.690.0-1.mga2
+ Revision: 212156
- update to 0.69

* Tue Feb 21 2012 kharec <kharec> 0.680.0-1.mga2
+ Revision: 211712
- update to 0.68

* Tue Dec 06 2011 kharec <kharec> 0.660.0-1.mga2
+ Revision: 177273
- update to 0.66

* Sun Dec 04 2011 dmorgan <dmorgan> 0.650.0-3.mga2
+ Revision: 176602
+ rebuild (emptylog)

* Sun Dec 04 2011 fwang <fwang> 0.650.0-2.mga2
+ Revision: 175827
- it is not a noarch package

* Sat Dec 03 2011 kharec <kharec> 0.650.0-1.mga2
+ Revision: 175528
- hardcode lib path for build purpose
- Fix file list
- Fix file list
- add BR on perl-devel
- imported package perl-Search-Tools

